Bug 510464 - Review Request: gns3 - Graphical network simulator
Summary: Review Request: gns3 - Graphical network simulator
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-09 12:00 UTC by Andrew Colin Kissa
Modified: 2013-01-13 14:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 06:00:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
me: fedora-review?


Attachments (Terms of Use)

Description Andrew Colin Kissa 2009-07-09 12:00:53 UTC
Spec URL: http://www.topdog-software.com/oss/SRPMS/fedora/gns3/gns3.spec
SRPM URL: http://www.topdog-software.com/oss/SRPMS/fedora/gns3/gns3-0.6.1-1.fc11.src.rpm
Description: 
Graphical network simulator that allows you to design complex
network topologies. You may run simulations or configure devices
ranging from simple workstations to powerful Cisco routers.

It uses Dynamips, an IOS emulator and PEMU, a PIX emulator which
allow users to run IOS and PIX binary images from Cisco Systems.

From package wishlist http://fedoraproject.org/wiki/Package_maintainers_wishlist#E-G

* Builds in koji
- https://koji.fedoraproject.org/koji/taskinfo?taskID=1463117
* Rpmlint
- Fine

Comment 1 Jason Tibbitts 2009-07-11 01:34:56 UTC
How can this work without dynamips?  It doesn't really seem to do anything for me without it (and IOS images which we obviously can't include).

I thought I saw a recent package submission for dynamips that was being moved to rpmfusion; this should almost certainly follow unless I'm missing something.

Comment 2 Andrew Colin Kissa 2009-07-11 04:14:29 UTC
This can still be used to draw network topologies as well as connect to remote dynamips hypervisors

Comment 3 Jason Tibbitts 2009-07-11 04:24:27 UTC
Well, all it seemed to do for me was tell me to point it at an IOS image whenever I tried to drag an item to the canvas.  Maybe some other reviewer can find some use in it, but I can't.

Comment 4 Andrew Colin Kissa 2009-07-11 04:32:12 UTC
Okay that's the case but i do not see how different this is from wine, which is distributed by fedora and yet we cannot supply them with the actual windows software that it will run ?

Comment 5 Yves L'ECUYER 2010-02-28 18:22:35 UTC
Yes Andrew you are rhight.

GNS3 + Dynamips is no more different than VirtualBox or VMware. 
And who could pretends that this Emulator for Virtual machine are not interesting because Windows OS are not gettable for free ?

I'm using GNS3 for years nows since Fedora 6, but I had always to compile myself the packages <binary>.rpm from *.src.rpm to use it on Fedora (12 currently) for CISCO labs.

Of course the target of this Emulator is not as wide as VirtualBox, but it's truly a very convenient tool to try labs before realizing them in true CISCO machine. So most of my students are using it

Comment 6 Kyle Pablo 2010-03-18 02:58:18 UTC
Can we get this packaged for F11/12 or not?

Comment 7 Andrew Colin Kissa 2010-03-18 06:16:49 UTC
If someone is ready to review it, i can update.

Comment 8 Kyle Pablo 2010-03-23 17:10:34 UTC
Can someone review it?

Comment 9 Caius Chance 2010-04-30 06:25:08 UTC
#  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

$ rpmlint SPECS/gns3.spec SRPMS/gns3-0.6.1-1.fc12.src.rpm 
gns3.src: W: spelling-error %description -l en_US topologies -> typologies, topological, topology
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

Does "topology" has plural?

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

Please put licence file in %doc.

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

%Source0 URL is incorrect.

Comment 11 Chen Lei 2010-05-01 09:51:35 UTC
Andrew, please move this report to https://bugzilla.rpmfusion.org.

This software is also in the nonfree repo of debian,  there's a dynamips package review available in rpmfusion. In my point of view, GNS3 is more suitable for inclusion in rpmfusion.

You can register a rpmfusion username in https://fas.rpmfusion.org/accounts.

Comment 12 Chen Lei 2010-05-01 09:53:33 UTC
dynamips

https://bugzilla.rpmfusion.org/show_bug.cgi?id=472

Comment 13 Chen Lei 2010-05-01 10:18:50 UTC
Some comment: 

1.%{__gzip} $RPM_BUILD_ROOT%{_mandir}/man1/gns3.1 is not needed, rpmbuild will automaticlly gzip all manpages.
2. GNS3 should requires dynamips
3. Source0:	http://downloads.sourceforge.net/sourceforge/gns-3/%{real_name}-%{version}-src.tar.bz2
-> http://downloads.sourceforge.net/gns-3/%{real_name}-%{version}-src.tar.bz2
See https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net
4.Requires:	PyQt4 sip
Require PyQt4 is enough, pyqt4 will automaticlly picks up sip
5.please explain why you install pemubin.py to %{_datadir}

All other things I see is fine.

Note: wine is not a emulator, it only provides some windows APIs.

Comment 14 Chen Lei 2010-05-01 10:41:19 UTC
desktop and ini file from debian for a reference(MimeType=application/x-gns3 should add to our desktop file too)
--- gns3-0.7.orig/debian/gns3.desktop
+++ gns3-0.7/debian/gns3.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Exec=gns3
+Name=gns3 Graphical Network Simulator
+Comment=program to simulate networks
+Comment[de]=Ein Programm zur Simulation von Netzwerken
+GenericName=Simulation Tool
+GenericName[de]=Simulationswerkzeug
+Icon=/usr/share/pixmaps/gns3.xpm
+MimeType=application/x-gns3
+Categories=Utility;Education;
--- gns3-0.7.orig/debian/gns3.ini
+++ gns3-0.7/debian/gns3.ini
@@ -0,0 +1,21 @@
+[Capture]
+auto_start_cmd=true
+capture_reader_cmd=/usr/bin/wireshark %c
+working_directory=.
+
+[Dynamips]
+console=x-terminal-emulator -T %d -e 'telnet %h %p' >/dev/null 2>&1 &
+hypervisor_path=/usr/bin/dynamips
+hypervisor_port=7200
+hypervisor_working_directory=/tmp
+
+[GNS3]
+dynamips_clear_old_files=true
+dynamips_ghosting=true
+gui_show_status_points=true
+gui_use_manual_connection=false
+hypervisor_manager_import=true
+hypervisor_memory_usage_limit=512
+hypervisor_udp_incrementation=100
+ios_directory=$HOME/.gns3
+project_directory=$HOME/.gns3

Comment 15 Jens Petersen 2010-05-24 06:00:54 UTC
Review is open at https://bugzilla.rpmfusion.org/show_bug.cgi?id=718


Note You need to log in before you can comment on or make changes to this bug.